PipeWire: device Struct Reference

PipeWire 0.3.34

Data Fields
device Struct Reference

## Data Fields
struct impl * | impl
struct spa_list | link
uint32_t | id
uint32_t | device_id
char * | factory_name
struct rd_device * | reserve
struct spa_hook | sync_listener
int | seq
int | priority
int | profile
int | pending_profile
struct pw_properties * | props
struct spa_handle * | handle
struct spa_device * | device
struct spa_hook | device_listener
struct sm_device * | sdevice
struct spa_hook | listener
uint32_t | n_acquired
unsigned int | first:1
unsigned int | appeared:1
unsigned int | probed:1
unsigned int | use_acp:1
struct spa_list | node_list
struct sm_device * | device
struct spa_list | endpoint_list
struct sm_device * | obj
char * | name
char * | key
unsigned int | restore_saved_profile:1
uint32_t | best_profile
uint32_t | active_profile
uint32_t | generation
struct pw_array | route_info

## Field Documentation

## ◆ active_profile

uint32_t device::active_profile

## ◆ appeared

unsigned int device::appeared

## ◆ best_profile

uint32_t device::best_profile

## ◆ device [1/2]

struct sm_device* device::device

## ◆ device [2/2]

struct spa_device * device::device

Referenced by pw_impl_device_get_implementation(), and pw_impl_device_set_implementation().

## ◆ device_id

uint32_t device::device_id

## ◆ device_listener

struct spa_hook device::device_listener

## ◆ endpoint_list

struct spa_list device::endpoint_list

## ◆ factory_name

char* device::factory_name

## ◆ first

unsigned int device::first

## ◆ generation

uint32_t device::generation

## ◆ handle

struct spa_handle * device::handle

## ◆ id

uint32_t device::id

## ◆ impl

struct impl * device::impl

## ◆ key

char* device::key

## ◆ link

struct spa_list device::link

## ◆ listener

struct spa_hook device::listener

Referenced by pw_impl_device_set_implementation().

## ◆ n_acquired

uint32_t device::n_acquired

## ◆ name

char * device::name

## ◆ node_list

struct spa_list device::node_list

## ◆ obj

struct sm_device * device::obj

## ◆ pending_profile

int device::pending_profile

## ◆ priority

int device::priority

## ◆ probed

unsigned int device::probed

## ◆ profile

int device::profile

## ◆ props

struct pw_properties * device::props

## ◆ reserve

struct rd_device* device::reserve

## ◆ restore_saved_profile

unsigned int device::restore_saved_profile

## ◆ route_info

struct pw_array device::route_info

## ◆ sdevice

struct sm_device * device::sdevice

## ◆ seq

int device::seq

## ◆ sync_listener

struct spa_hook device::sync_listener

## ◆ use_acp

unsigned int device::use_acp

The documentation for this struct was generated from the following files:

- alsa-monitor.c
- alsa-endpoint.c
- bluez-monitor.c
- bluez-endpoint.c
- default-profile.c
- default-routes.c
- v4l2-monitor.c
- v4l2-endpoint.c
- libcamera-monitor.c